ru.bitel.bgbilling.plugins.helpdesk.server.bean.event

## Class TopicWasUpdatedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.plugins.helpdesk.server.bean.event.TopicWasUpdatedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TopicWasUpdatedEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopicWasUpdatedEvent()`
    `TopicWasUpdatedEvent(Topic oldTopic, int pluginId, Topic newTopic)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Topic` | `getNewTopic()`
    `Topic` | `getOldTopic()`
    `boolean` | `isSumChange()` Изменилась ли сумма
    `void` | `setNewTopic(Topic newTopic)`
    `void` | `setOldTopic(Topic oldTopic)`
    `boolean` | `wasClosed()` Была ли тема закрыта( то есть была ли до этого открыта )
    `boolean` | `wasCreated()` Был ли создан в данном событие
    `boolean` | `wasOpened()` Был ли тема открыта( то есть она стала открытой, а до этого была закрыта )

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TopicWasUpdatedEvent

          public TopicWasUpdatedEvent()

    - #### TopicWasUpdatedEvent

          public TopicWasUpdatedEvent(Topic oldTopic,
                                      int pluginId,
                                      Topic newTopic)

  - ### Method Detail

    - #### getOldTopic

          public Topic getOldTopic()

    - #### setOldTopic

          public void setOldTopic(Topic oldTopic)

    - #### getNewTopic

          public Topic getNewTopic()

    - #### setNewTopic

          public void setNewTopic(Topic newTopic)

    - #### wasCreated

          public boolean wasCreated()

      Был ли создан в данном событие

    - #### isSumChange

          public boolean isSumChange()

      Изменилась ли сумма

    - #### wasClosed

          public boolean wasClosed()

      Была ли тема закрыта( то есть была ли до этого открыта )

    - #### wasOpened

          public boolean wasOpened()

      Был ли тема открыта( то есть она стала открытой, а до этого была закрыта )